Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

We have a server in our office that has been converted to a remote server by assigning it a dedicated IP address. A major government organization is connected to it 24x7 and this server is processing concurrent requests from all over the state.

This server was initially configured for Version 2 of .NET. We want to install a new application which is built on Version 3.5 or 4 of .NET. I want to know whether both versions of .NET Framework along with Crystal Reports can work on the same server or not?

What additional configuration is needed?

share|improve this question
1  
...You're installing Visual Studio on the server that's acting as a production system? Why? –  Bart Silverstrim Sep 30 '11 at 14:58
3  
Yeah. The app has been developped - try pulling the developers to learn how their systems work. NO NEED TO ISNTALL ANY VISUAL STUDIO VERSION TO RUN A PROGRAM. –  TomTom Sep 30 '11 at 15:01
    
Sorry guys my mistake. I need to correct it to .NET Framework. –  RPK Sep 30 '11 at 15:04
    
@Rohit I edited your question for you. If those aren't the specific frameworks you're talking about, please feel free to edit the question further. It's a good question and I don't want to see it get closed. –  GregD Sep 30 '11 at 15:25
1  
NO FAIR EDITING WHILE CHASTISING FOR MAKING A MISTAKE! –  Bart Silverstrim Sep 30 '11 at 15:35

3 Answers 3

I don't recall any configuration needed on a server needed after installing the .NET frameworks (there are 7 of them now BTW). Having said that, an app is targeted toward a specific framework and not a specific version of VS. It's possible they used VS2010 and targeted the 2.0 framework, etc.

When you deploy the apps, you may have to tell IIS which version of the .NET framework to use because, if I recall correctly, is always seemed to default to version 2 of .NET.

BUT Test, test, test before you push this to your production server and ask the developer if you need to install a later framework for that app!

Edited to add@TomTom (below in comments) is correct also, when you deploy the app(s) you can set the version of .NET to use, per application/app pool. But as I mentioned above, you may ask the developer what version they targeted because it's quite possible they targeted Version 2.0 and still used VS2010.

TL;DR: I've had all versions of .NET happily running side-by-side, but TEST it in your environment.

share|improve this answer
    
Actually you can select per application which application pool handles teh app, and for each app pool which framework version it uses. WIthin limits - as some versions are only "additional ddll's" not a different core runtime. –  TomTom Sep 30 '11 at 15:20
    
Well I've seen instances where IIS doesn't enable 4.0 as an option even though it's installed, so there's some finessing that has to happen to get it enabled...that's what I was getting at. –  GregD Sep 30 '11 at 15:23
    
That is installing IIS after installing 4.0----- needs asp.net_regiis, standard for all versions, they only integrate when iis is installed when hey get added. Since... 1.0. –  TomTom Sep 30 '11 at 15:26
    
Which version of IIS to keep to support all the previous editions of ASP.NET as well? –  RPK Sep 30 '11 at 15:40
    
@Rohit, AFAIK you can't install IIS7 on Server 2003 (if that's the OS you're using). You're on the right track with the .NET frameworks... –  GregD Sep 30 '11 at 15:44

Why are you installing Visual Studio on servers to run your applications? If you compile them properly and install just the necessary Visual Studio runtimes, it will work fine and without the overhead and licensing cost of full VS licenses. You can have two versions of VS installed simultaneously, but this is just a bad bad bad way of doing what you want.

share|improve this answer
    
Apologies. I meant .NET Framework. The main concern is with the side-by-side execution of ASP.NET apps. and Crystal Reports. –  RPK Sep 30 '11 at 15:06

Yes they can. No configuration of the .NET Framework should be required.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.